# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [1.6.1](https://github.com/CroudTech/solid-foundations/compare/v1.6.0...v1.6.1) (2022-05-06)


### Bug Fixes

* **forecast:** correct project status filter empty text on project admin ([eb4d606](https://github.com/CroudTech/solid-foundations/commit/eb4d60631497e763028ef25998158eb62e4d8221))

## [1.6.0](https://github.com/CroudTech/solid-foundations/compare/v1.5.2...v1.6.0) (2022-05-05)


### Features

* **autocomplete:** add disabled state to multi-select autocomplete ([05d0c7a](https://github.com/CroudTech/solid-foundations/commit/05d0c7afa0989f36e7c5bc46dae627623b72c683))
* **forecast:** add project status filter to project admin screen ([b110c26](https://github.com/CroudTech/solid-foundations/commit/b110c267333a89b06f16c1f7a725edb106b29c4a))
* **forecast:** add status filter to projects resource ([722ffc9](https://github.com/CroudTech/solid-foundations/commit/722ffc913094b0c3753d75965c66d39678be0aed))
* **forecast:** disable channel select filter when project status filter is in use ([24f3680](https://github.com/CroudTech/solid-foundations/commit/24f3680c57c30b8addf46553f0ddee66bdb505dd))
* **forecast:** disable client autocomplete when project status filter is in use ([d7ee3a8](https://github.com/CroudTech/solid-foundations/commit/d7ee3a8a48d7c5373b9780ce7956f5b4cbd02718))
* **select:** prevent dropdown menu from opening when disabled ([29c1147](https://github.com/CroudTech/solid-foundations/commit/29c114785fc1eb159ac376c9343b012019073eae))


### Bug Fixes

* **forecast:** correct layout of filters on project admin screen ([4d62887](https://github.com/CroudTech/solid-foundations/commit/4d62887f25ecd78a937fad6acaebb92caca3ebe7))
* **forecast:** replace native channel html select element with select component ([f71f7a5](https://github.com/CroudTech/solid-foundations/commit/f71f7a5b1f72aa6ee21ad43bec47b562f3df74e4))

### [1.5.3](https://github.com/CroudTech/solid-foundations/compare/v1.5.2...v1.5.3) (2022-04-19)

- **location-filter:** fix picker location filter default value ([95b39b9](https://github.com/CroudTech/solid-foundations/commit/95b39b99d31afdea214aee6cf51b33e060005e4a))

### [1.5.2](https://github.com/CroudTech/solid-foundations/compare/v1.5.1...v1.5.2) (2022-04-07)

* **locale-migration:** remove localeAPI ky config from API util ([3041ced](https://github.com/CroudTech/solid-foundations/commit/3041ced17af026e7c4bcbe88b3254b08c65d8143))
* **locale-migration:** fetch languages from PlatfromAPI ([917ae64](https://github.com/CroudTech/solid-foundations/commit/917ae647067f66446c0ac432ebbb331538a17b91))
* **locale-migration:** fetch countries from PlatfromAPI ([cf16bdc](https://github.com/CroudTech/solid-foundations/commit/cf16bdc3e428ed5fd004bc027f012757ce431a0c))

### [1.5.1](https://github.com/CroudTech/solid-foundations/compare/v1.5.0...v1.5.1) (2022-03-31)


### Bug Fixes

* **forecast:** pass load more projects request args as query params ([1813b77](https://github.com/CroudTech/solid-foundations/commit/1813b77c345ac16b661a81f15b4e5a876f0fc0d4))
* **forecast:** use get method for load more projects request ([7f52da4](https://github.com/CroudTech/solid-foundations/commit/7f52da432c55ea415a691d73bf51e08c1f90407f))

## [1.5.0](https://github.com/CroudTech/solid-foundations/compare/v1.4.1...v1.5.0) (2022-03-31)


### Features

* **forecast:** add forecast company project id field to project schema ([eff8ee5](https://github.com/CroudTech/solid-foundations/commit/eff8ee5a0bd5957e84c78ac5832de926764d591f))


### Bug Fixes

* **forecast:** omit project list request args from query params if not set ([ddc6a6b](https://github.com/CroudTech/solid-foundations/commit/ddc6a6b4fd6e2cb1effd4aa13cefb30853973784))
* **forecast:** pass add channel to project request args as query params ([004a7ef](https://github.com/CroudTech/solid-foundations/commit/004a7ef07d42e8a520220cf25a2c5c5011897a9c))
* **forecast:** pass project list request args as query params ([dbec5b3](https://github.com/CroudTech/solid-foundations/commit/dbec5b36b681072f0e068c79855f279188b4c438))
* **forecast:** pass remove channel from project request args as query params ([c60eb0e](https://github.com/CroudTech/solid-foundations/commit/c60eb0efb55acbf97a61de9e3f4a867ef5314d31))
* **forecast:** rename blank client option to unmapped ([f3ea577](https://github.com/CroudTech/solid-foundations/commit/f3ea577b76317d6e535bf269e0b3907e3d972326))
* **forecast:** replace project id with forecast company project id in data table ([d170bd2](https://github.com/CroudTech/solid-foundations/commit/d170bd26daa4536abc8a53a590da4e53d707ff28))
* **forecast:** replace project id with forecast company project id in project sidebar ([7b34de0](https://github.com/CroudTech/solid-foundations/commit/7b34de056f6ad70a20a41e559e56a323a7356348))
* **forecast:** use get method for project list request ([250d584](https://github.com/CroudTech/solid-foundations/commit/250d5844b18c2e0f333d5efe6921c8672d087093))
* **forecast:** use put method for add channel to project request ([4857170](https://github.com/CroudTech/solid-foundations/commit/4857170af431bc52b78bff154b5d77e336871cf7))

### [1.3.1](https://github.com/CroudTech/solid-foundations/compare/v1.3.0...v1.3.1) (2022-02-21)


### Bug Fixes

* **metric-user-details:** fallback to Integration ([8528bf9](https://github.com/CroudTech/solid-foundations/commit/8528bf940c3a6dee9266699f16d16b79323bb753))
* **metric-user-details:** get ccId attribute from cognito ([8273371](https://github.com/CroudTech/solid-foundations/commit/82733714a39a4126b3942f41cc7d0122703aa071))
* **picker:** correct view of picker results on smaller viewports ([5b462db](https://github.com/CroudTech/solid-foundations/commit/5b462db4324d4c4c511534d29ff9860f6e7587a5))
* **picker:** make user selection section width responsive ([dd76509](https://github.com/CroudTech/solid-foundations/commit/dd7650938b4aa6ce75ddcd50b1a93b9d8fffa785))
* **picker:** prevent filter sidebar width from shrinking indefinitely ([913e89f](https://github.com/CroudTech/solid-foundations/commit/913e89f8f604081bd33670f063f2ecdf580b697c))
* **picker:** show horizontal overflow on scroll ([26d456c](https://github.com/CroudTech/solid-foundations/commit/26d456c700dd1be2203b5df0fd7a5c442b36709c))

## [1.3.0](https://github.com/CroudTech/solid-foundations/compare/v1.2.0...v1.3.0) (2022-02-10)


### Features

* **select:** make dropdown menu max height configurable ([853165c](https://github.com/CroudTech/solid-foundations/commit/853165cadfacf3df18eb0fccf1c28e01b7cdef0d))


### Bug Fixes

* **picker:** increase height of sort by dropdown menu ([d543a31](https://github.com/CroudTech/solid-foundations/commit/d543a316a13eb9309fa99d1bb9b2abef6a03ccfa))

## [1.2.0](https://github.com/CroudTech/solid-foundations/compare/v1.1.0...v1.2.0) (2022-02-09)


### Features

* **picker:** add fast to slow response rate sort option ([78d6969](https://github.com/CroudTech/solid-foundations/commit/78d6969e863109cc787dc0badbf5fc57dd9bfdea))
* **picker:** add slow to fast response rate sort option ([3bd7014](https://github.com/CroudTech/solid-foundations/commit/3bd7014dfcf89af8ce197e6c070f4ec3d858f784))

## [1.1.0](https://github.com/CroudTech/solid-foundations/compare/v0.0.45...v1.1.0) (2022-02-07)


### Features

* **alert:** add disabled variant ([d78a4dd](https://github.com/CroudTech/solid-foundations/commit/d78a4dd3ece480c38b56b605e4c0414268a39e28))
* **alert:** allow content to be set via child ([9c54f6c](https://github.com/CroudTech/solid-foundations/commit/9c54f6c2793ad1803e41cdef7724f684f91e0724))
* **rating:** provide raw rating value to children ([c943846](https://github.com/CroudTech/solid-foundations/commit/c943846d7413bc2a50c4c062bf5d43327cc485ef))


### Bug Fixes

* **list:** only enable focus on list item when selectable ([76f021d](https://github.com/CroudTech/solid-foundations/commit/76f021d669825260301c336f07a30ac29f1a8a18))
* **picker:** align styling of more info tab empty states ([c47e8ea](https://github.com/CroudTech/solid-foundations/commit/c47e8ea37284f66d5a111be7e7adcd5b4a64ff8e))
* **picker:** allow email copy on button click ([afe3c44](https://github.com/CroudTech/solid-foundations/commit/afe3c446a9aee37ad407a65abfd9448924583029))
* **picker:** correct layout for larger resolution displays ([552e9f0](https://github.com/CroudTech/solid-foundations/commit/552e9f0ab3568ff1d5c55f72125d43d16377da7c))
* **picker:** improve loading state for task cost stats ([717af53](https://github.com/CroudTech/solid-foundations/commit/717af531509c832c146fc2995ba9b32378bc6748))
* **picker:** improve task cost stats error state ([1b078ff](https://github.com/CroudTech/solid-foundations/commit/1b078ff09a6598a6c330f14552008866ec6e554a))
* **picker:** increase font weight of work tab title ([fb15f50](https://github.com/CroudTech/solid-foundations/commit/fb15f5061f47d95a60e3f012774d7a2480c8cddd))
* **picker:** reduce timeout for email copy toast notifications ([48cf03b](https://github.com/CroudTech/solid-foundations/commit/48cf03bd0e5abeca964ceafcf52f04a6223afe44))
* **picker:** round rating on result card to nearest tenth ([66660b0](https://github.com/CroudTech/solid-foundations/commit/66660b06240f19fcb517835c1bd0c9111ffd17cd))
* **picker:** round raw rating value in ratings tab to nearest tenth ([d98d735](https://github.com/CroudTech/solid-foundations/commit/d98d7356407565c78871e828332f0e7b85e1e0d9))
* **picker:** singularise average task duration unit ([6c811c6](https://github.com/CroudTech/solid-foundations/commit/6c811c6dff272cef91434047edfbe09f3635ffea))
* **picker:** singularise response time unit ([a0b965b](https://github.com/CroudTech/solid-foundations/commit/a0b965bd482d8436b0d473688ef3044266b19478))
* **rating:** correct numerical prop typing ([aa2448f](https://github.com/CroudTech/solid-foundations/commit/aa2448fca4bcd7e5e365ca8c0c4af9cfddb45e3c))
* **toast:** correct styling of toast message ([525e1d8](https://github.com/CroudTech/solid-foundations/commit/525e1d89275b544347dc80798f84b83d356d048f))
